ZABBIX_AGENT2(8)

NAME
zabbix_agent2 - Zabbix agent 2

SYNOPSIS
zabbix_agent2 [-c config-file]
zabbix_agent2 [-c config-file] [-v] -p
zabbix_agent2 [-c config-file] [-v] -t item-key
zabbix_agent2 [-c config-file] -R runtime-option
zabbix_agent2 [-c config-file] -T
zabbix_agent2 -h
zabbix_agent2 -V

DESCRIPTION
zabbix_agent2 is an application for monitoring parameters of various services.

OPTIONS

-c, --config config-file
    Use the alternate config-file instead of the default one.

-R, --runtime-control runtime-option
    Perform administrative functions according to runtime-option.

  Runtime control options

    userparameter_reload
        Reload user parameters from the configuration file

    loglevel increase
        Increase log level

    loglevel decrease
        Decrease log level

    help
        List available runtime control options

    metrics
        List available metrics

    version
        Display version

-p, --print
    Print known items and exit. For each item either generic defaults are used, or specific defaults for testing are supplied. These defaults are listed in square brackets as item key parameters. Returned values are enclosed in square brackets and prefixed with the type of the returned value, separated by a pipe character. For user parameters type is always t, as the agent can not determine all possible return values. Items, displayed as working, are not guaranteed to work from the Zabbix server or zabbix_get when querying a running agent daemon as permissions or environment may be different. Returned value types are:

    d   Number with a decimal part.

    m   Not supported. This could be caused by querying an item that only works in the active mode like a log monitoring item or an item that requires multiple collected values. Permission issues or incorrect user parameters could also result in the not supported state.

    s   Text. Maximum length not limited.

    t   Text. Same as s.

    u   Unsigned integer.

-t, --test item-key
    Test single item and exit. See --print for output description.

-v, --verbose
    Enable verbose output when test item or print known items.

-T, --test-config
    Validate configuration file and exit.

-h, --help
    Display this help and exit.

-V, --version
    Output version information and exit.

FILES

/usr/local/etc/zabbix_agent2.conf
    Default location of Zabbix agent 2 configuration file (if not modified during compile time).

SEE ALSO
Documentation (https://www.zabbix.com/manuals)

zabbix_agentd(8), zabbix_get(1), zabbix_proxy(8), zabbix_sender(1), zabbix_server(8), zabbix_js(1), zabbix_web_service(8)